<?
if(isset($_GET['add']))
{
echo "<div class='event'><h1><a href='?admin=$admin'>$admin_name</a> / Добавить</h1></div>";
echo '<div class="content"><div class="block">';
if(isset($_POST['ok']))
{
if(isset($_FILES['file']))
{
$type = $_FILES['file']['type'];
if ($type!=='image/jpeg' && $type!=='image/jpg' && $type!=='image/gif' && $type!=='image/png'){$err=1;err_game('Это не картинка');}
}
else {$err=1;err_game('Выберите картинку');}
$name=$_POST['name'];
if(strlen2($name)<1){$err=1;err_game('Слишком короткое название рыбы');}
$cena=intval($_POST['cena']);
$count=intval($_POST['count']);
$timee=intval($_POST['time']);
$rating=intval($_POST['rating']);
$money=intval($_POST['money']);
$time_soil=intval($_POST['time_soil']);
$level=intval($_POST['level']);
if(!is_numeric($level) || strlen2($level)<1){$err=1;err_game('Неверный уровень доступности');}
if(!is_numeric($money) || strlen2($money)<1){$err=1;err_game('Неверное к-тво монет за единицу урожая');}
if(!is_numeric($cena) || strlen2($cena)<1){$err=1;err_game('Неверная цена');}
if(!is_numeric($count) || strlen2($count)<1){$err=1;err_game('Неверное к-тво прироста');}
if(!is_numeric($timee) || strlen2($timee)<1){$err=1;err_game('Неверное времья роста');}
if(!is_numeric($time_soil) || 
strlen2($time_soil)<1){$err=1;err_game('Неверное время до подкормки');}
if(!is_numeric($rating) || strlen2($rating)<1){$err=1;err_game('Неверный опыт');}
$timee=60*60*$timee;
$time_soil=60*$time_soil;
if (!isset($err))
{
$tmp = $_FILES['file']['tmp_name'];
mysql_query("INSERT INTO `kolhoz_fish` SET `name` = '$name', `cena` = '$cena', `count` = '$count', `time` = '$timee', `rating` = '$rating', `time_soil` = '$time_soil', `money` = '$money', `level` = '$level'");
$id=mysql_insert_id();
move_uploaded_file($tmp, 
"images/fish/$id.png");
header("location: ?admin=$admin");
}
}
echo "<form method=\"post\" enctype='multipart/form-data'>\n";
echo "Название рыбы:<br /><input name=\"name\" type=\"text\" maxlength='32' value='' /><br />\n";
echo "Цена:<br /><input name=\"cena\" type=\"text\" maxlength='32' value='' /><br />\n";
echo "К-тво прироста:<br /><input name=\"count\" type=\"text\" maxlength='32' value=''/><br />\n";
echo "Опыт:<br /><input name=\"rating\" type=\"text\" maxlength='32' value=''/><br />\n";
echo "К-тво монет за единицу :<br /><input name=\"money\" type=\"text\" maxlength='32' value=''/><br />\n";
echo "Время созревания(часов):<br /><input name=\"time\" type=\"text\" maxlength='32' value=''/><br />\n";
echo "Время до удобрения(минут):<br /><input name=\"time_soil\" type=\"text\" maxlength='32' value=''/><br />\n";
echo "Уровень доступности:<br /><input name=\"level\" type=\"text\" maxlength='32' value=''/><br />\n";
echo "Изображение (потом можно изменить):<br/><input type='file' name='file' /><br/>\n";
echo "<input value='Добавить' type='submit' name='ok' /><br />\n";
echo "</form>\n";
echo "</div>";
include_once 'inc/foot.php';
exit;
}





if(isset($_GET['edit']) && intval($_GET['edit'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_fish` WHERE `id` = '".intval($_GET['edit'])."'"),0)!=0)
{
$edit=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_fish` WHERE `id` = '".intval($_GET['edit'])."'"));


if(isset($_GET['change_img']))
{
echo "<div class='event'><h1><a href='?admin=$admin'>$admin_name</a> / Заменить изображение</h1></div>";
echo '<div class="content"><div class="block">';
if(isset($_POST['ok']))
{
if(isset($_FILES['file']))
{
$type = $_FILES['file']['type'];
if ($type!=='image/jpeg' && $type!=='image/jpg' && $type!=='image/gif' && $type!=='image/png'){$err=1;err_game('Это не картинка');}
}
else {$err=1;err_game('Выберите картинку');}
if (!isset($err))
{
$tmp = $_FILES['file']['tmp_name'];
unlink("images/fish/$edit[id].png");
move_uploaded_file($tmp, 
"images/fish/$edit[id].png");
header("Location:?admin=$admin&edit=$edit[id]");
}
}
echo "<form method=\"post\" enctype='multipart/form-data'>\n";
echo "Изображение рыбы:<br/><input type='file' name='file' /><br/>\n";
echo "<input value='Сохранить' type='submit' name='ok' /></form><br />\n";
echo "</div>";
include_once 'inc/foot.php';
exit;
}

echo "<div class='event'><h1><a href='?admin=$admin'>$admin_name</a> / Редактировать</h1></div>";
echo '<div class="content"><div class="block">';

if(isset($_POST['ok']))
{
$name=$_POST['name'];
if(strlen2($name)<1){$err=1;err_game('Слишком короткое название рыбы');}
$cena=intval($_POST['cena']);
$count=intval($_POST['count']);
$timee=intval($_POST['time']);
$rating=intval($_POST['rating']);
$money=intval($_POST['money']);
$time_soil=intval($_POST['time_soil']);
$level=intval($_POST['level']);
if(!is_numeric($level) || strlen2($level)<1){$err=1;err_game('Неверный уровень доступности');}
if(!is_numeric($money) || strlen2($money)<1){$err=1;err_game('Неверное к-тво монет за единицу ');}
if(!is_numeric($cena) || strlen2($cena)<1){$err=1;err_game('Неверная цена');}
if(!is_numeric($count) || strlen2($count)<1){$err=1;err_game('Неверное к-тво прироста');}
if(!is_numeric($timee) || strlen2($timee)<1){$err=1;err_game('Неверное время роста');}
if(!is_numeric($time_soil) || 
strlen2($time_soil)<1){$err=1;err_game('Неверное времья до подкормки');}
if(!is_numeric($rating) || strlen2($rating)<1){$err=1;err_game('Неверный опыт');}
$timee=60*$timee;
$time_soil=60*$time_soil;
if (!isset($err))
{
mysql_query("UPDATE `kolhoz_fish` SET `name` = '$name', `cena` = '$cena', `count` = '$count', `time` = '$timee', `rating` = '$rating', `time_soil` = '$time_soil', `money` = '$money', `level` = '$level' WHERE `id` = '$edit[id]'");
header("Location:?admin=$admin");
}
}
echo "<ul>";
echo "<li style='padding-bottom:8px'>";
echo "<img width='48' height='48' src='images/fish/$edit[id].png' alt='o' class='portrait'>";
echo "<div class='small'>";
echo "<a href='?admin=$admin&edit=$edit[id]&change_img'>Заменить изображение</a>";
echo "</div></li></ul><div style='clear:both'></div>";
echo "<form method=\"post\" enctype='multipart/form-data'>\n";
echo "Название рыбы:<br /><input name=\"name\" type=\"text\" maxlength='32' value='$edit[name]' /><br />\n";
echo "Цена:<br /><input name=\"cena\" type=\"text\" maxlength='32' value='$edit[cena]' /><br />\n";
echo "К-тво прироста:<br /><input name=\"count\" type=\"text\" maxlength='32' value='$edit[count]'/><br />\n";
echo "Опыт:<br /><input name=\"rating\" type=\"text\" maxlength='32' value='$edit[rating]'/><br />\n";
echo "К-тво монет за единицу:<br /><input name=\"money\" type=\"text\" maxlength='32' value='$edit[money]'/><br />\n";
echo "Времья выращивания (минут):<br /><input name=\"time\" type=\"text\" maxlength='32' value='".($edit['time']/60)."'/><br />\n";
echo "Времья до подкормки (минут):<br /><input name=\"time_soil\" type=\"text\" maxlength='32' value='".($edit['time_soil']/60)."'/><br />\n";
echo "Уровень доступности:<br /><input name=\"level\" type=\"text\" maxlength='32' value='$edit[level]'/><br />\n";
echo "<input value='Сохранить' type='submit' name='ok' /></form>\n";
echo "<div><br/>&raquo; <a href='?admin=$admin&del=$edit[id]'>Удалить</a></div>";
echo "</div>";
include_once 'inc/foot.php';
exit;
}



if(isset($_GET['del']) && intval($_GET['del'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_fish` WHERE `id` = '".intval($_GET['del'])."'"),0)!=0)
{
$del=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_fish` WHERE `id` = '".intval($_GET['del'])."'"));
if(isset($_GET['ok']))
{
mysql_query("DELETE FROM `kolhoz_fish` WHERE `id` = '$del[id]'");
mysql_query("UPDATE `kolhoz_pond` SET `id_plant` = '0' WHERE `id_plant` = '$del[id]'");
unlink("images/fish/$del[id].png");
header("Location:?admin=$admin");
}
podtv("?admin=$admin&del=$del[id]&ok","?admin=$admin");
include_once 'inc/foot.php';
exit;
}

echo "<div class='event'><h1><a href='?admin=list'>Админка</a> / $admin_name</h1></div>";
echo '<div class="content"><div class="block">';


$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_fish`"),0);
if ($k_post==0)
{
echo "Список пуст...";
}
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `kolhoz_fish` ORDER BY `id` DESC LIMIT $start, $set[p_str]");
while($post=mysql_fetch_array($q))
{
echo "<li style='padding-bottom:8px'>";
echo "<a href='?admin=$admin&edit=$post[id]&change_img'><img width='48' height='48' src='images/fish/$post[id].png' alt='o' class='portrait'></a>";
echo "<div class='small'>";
echo "<span><a href='?admin=$admin&edit=$post[id]'>".hsc($post['name'])."</a></span> <span class='minor'>, цена: </span><span><img width='16' height='16' src='images/icons/money.png' alt='o'><span class='title'>$post[cena]</span></span> (доступно с $post[level] уровня</span>)</div><div class='small minor'> Время роста: <span class='title'>".time_left($post['time'])."</span>, Время до подкормки: <span class='title'>".time_left($post['time_soil'])."</span><br>Доход: <img width='16' height='16' src='images/icons/money.png' alt='o'> <span>$post[money]</span>,
Опыт: <img width='16' height='16' src='images/icons/experience.png' alt='o'> <span>$post[rating]</span>,
Прирост: <span>$post[count]</span> <span>шт.</span></div></li>";
}
echo "</ul>";
if ($k_page>1)str("?admin=$admin&",$k_page,$page); // Вывод страниц
echo "<div>&raquo; <a href='?admin=$admin&add'>Добавить рыбу</a></div>";
echo "</div>";
include_once 'inc/foot.php';
?>